From a6d5e785e7ed47b98637201f5419a067a72027bb Mon Sep 17 00:00:00 2001
From: Malin Freeborn <malinfreeborn@tutamail.com>
Date: Mon, 4 May 2020 20:16:06 +0200
Subject: [PATCH] break autocompile when tree fails

---
 autocompile.sh | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/autocompile.sh b/autocompile.sh
index bb968707..f794e44b 100755
--- a/autocompile.sh
+++ b/autocompile.sh
@@ -18,8 +18,8 @@ fi
 if [ $1 = tree ]; then
 	[ -e ../config ] || ( echo "You don't have a local config repo" && exit 1 )
 	git status
-	git subtree -P config pull ../config master
-	git subtree -P config push ../config master
+	git subtree -P config pull ../config master || exit 1
+	git subtree -P config push ../config master || exit 1
 fi
 pdflatex -shell-escape main.tex
 makeglossaries main
-- 
GitLab